﻿@using DataAccess.Model
@model IList<DataAccess.Model.VyukaUser>

@{Html.RenderAction("SidemenuList", "Menu");}

<div class="dashboard-wrapper">
    <div class="container-fluid dashboard-content">
        @if (TempData["message-success"] != null)
        {
            <div class="alert alert-success alert-dismissible" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
                @TempData["message-success"]
            </div>
        }
        <div class="form-inline mt-2 mt-md-0">
            @using (Ajax.BeginForm("SearchU", new AjaxOptions() { UpdateTargetId = "dynamicContent", InsertionMode = InsertionMode.Replace }))
            {
                <input class="form-control mr-sm-2" type="text" placeholder="Vyhledávání" aria-label="Vyhledejte frázi" id="searchBox" name="phrase">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit" style="margin-right: 15px">Vyhledat</button>
            }
        </div>
        <label for="submit-button"></label>

        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Detail uživatele</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body" id="modalContent">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Zavřít</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-9">
                <table class="table">
                    <thead class="thead-dark">
                        <tr>
                            <th scope="col">Uživatel</th>
                            <th scope="col">Akce</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (VyukaUser u in Model)
                        {
                            <tr>
                                <td>@Ajax.ActionLink(u.Login, "DetailUser", new { id = u.Id }, new AjaxOptions() { UpdateTargetId = "modalContent", InsertionMode = InsertionMode.Replace, OnBegin = "openModalWindow" })</td>
                                @if (u.Role.Id == 1)
                                {
                                    <td>@Html.ActionLink("Zrušit oprávnění", "ChangeUserRole", "User", new { userId = u.Id, roleId = 2 }, new { onclick = "return confirm('Přejete si opravdu zrušit orpávnění uživatele " + u.Login + " ?');" })</td>
                                }
                                else
                                {
                                    <td>@Html.ActionLink("Jmenovat administrátorem", "ChangeUserRole", "User", new { userId = u.Id, roleId = 1 }, new { onclick = "return confirm('Přejete si opravdu jmenovat administrátorem uživatele " + u.Login + " ?');" })</td>
                                }
                            </tr>
                        }
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    @if (ViewBag.Pages > 1)
    {
        <ul class="pagination mt-2">
            @for (int i = 1; i <= ViewBag.Pages; i++)
            {
                <li class=@(ViewBag.CurrentPage == i ? "active" : "")>
                    @Ajax.ActionLink(i.ToString(), "UsersCategories", new { page = i }, new AjaxOptions() { InsertionMode = InsertionMode.Replace, UpdateTargetId = "dynamicContent" }, new { @class = "page-link" })
                </li>
            }
        </ul>
    }
</div>

<script type="text/javascript">
    function openModalWindow() {
        $('#myModal').modal({
            show: true
        });
    }

    $(function () {
            $("#searchBox").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url:'@Url.Action("SearchUser", "User")',
                    dataType: "json",
                    data: {
                        query: request.term
                    },
                    success: function (data) {
                        response(data);
                    }
                });
            },
            minLength: 2
        });
    });
</script>